Usermin installation of directory prior to installation of interface causes unspecified issue

usermin-installation-unspecified (17299) The risk level is classified as LowLow Risk

Description:

Usermin is affected by a vulnerability during installation, if the /tmp/.webmin directory has been created prior to installation. A local attacker could create the directory before installation, causing an unspecified vulnerability during the installation of Usermin.


Consequences:

Other

Remedy:

Upgrade to the latest version of Usermin (1.090 or later), available from the Webmin Web site. See References.

For Debian GNU/Linux 3.0 (woody):
Upgrade to the latest Webmin package, as listed below. Refer to DSA-544-1 for more information. See References.

Debian GNU/Linux 3.0 (woody): 0.94-7woody3 or later

For Gentoo Linux:
Upgrade to the latest version of Usermin (1.090, 1.160 or later), as listed in GLSA 200409-15. See References.

For Mandrake Linux:
Upgrade to the latest webmin package, as listed below. Refer to MandrakeSoft Security Advisory MDKSA-2004:101 : webmin for more information. See References.

Mandrake Linux 9.2: 1.100-3.2.92mdk or later
Mandrake Linux Corporate Server 2.1: 0.990-6.4.C21mdk or later
Mandrake Linux 10.0: 1.121-4.2.100mdk or later

For Turbolinux:
Upgrade to the latest webmin package, as listed below. Refer to Turbolinux Security Advisory TLSA-2005-20 for more information. See References.

Turbolinux 8 Server: 1.070-3 or later
Turbolinux 8 Workstation: 1.070-3 or later
Turbolinux 7 Server: 1.070-3 or later

For other distributions:
Contact your vendor for upgrade or patch information.

References:

  • Usermin Change Log: Version 1.090 (5 Sep 2004).
  • Webmin Web site: Usermin Updates.
  • BID-11153: Webmin / Usermin Installation Insecure Temporary File Creation Vulnerability
  • CVE-2004-0559: The maketemp.pl script in Usermin 1.070 and 1.080 allows local users to overwrite arbitrary files at install time via a symlink attack on the /tmp/.usermin directory.
  • DSA-544: webmin -- insecure temporary directory
  • GLSA-200409-15: Webmin, Usermin: Multiple vulnerabilities in Usermin
  • MDKSA-2004:101: Updated webmin packages fix vulnerabilities
  • OSVDB ID: 9775: Webmin/Usermin Installation .webmin Symlink Local Privilege Escalation
  • SA12488: Usermin Shell Command Injection and Insecure Installation Vulnerabilities

Platforms Affected:

  • Debian Debian Linux 3.0
  • Gentoo Linux
  • MandrakeSoft Mandrake Linux 10.0 AMD64
  • MandrakeSoft Mandrake Linux 10.0
  • MandrakeSoft Mandrake Linux 9.2
  • MandrakeSoft Mandrake Linux 9.2 AMD64
  • MandrakeSoft Mandrake Linux Corporate Server 2.1 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • Turbolinux Turbolinux 7 Server
  • Turbolinux Turbolinux 8 Server
  • Turbolinux Turbolinux 8 Workstation
  • Usermin Project Usermin 1.070
  • Usermin Project Usermin 1.080

Reported:

Sep 08, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page